ContextData File Reference
`#include <osg/GraphicsContext>`

Go to the source code of this file.

## Classes

class | osg::ContextData

## Namespaces

namespace | osg

## Macros

#define | OSG_CONTEXTDATA 1

## Functions

OSG_EXPORT ContextData * | osg::getContextData (unsigned int contextID)
OSG_EXPORT ContextData * | osg::getOrCreateContextData (unsigned int contextID)
template<typename T>
T * | osg::get (unsigned int contextID)
template<>
ContextData * | osg::get< ContextData > (unsigned int contextID)

## Macro Definition Documentation

## OSG_CONTEXTDATA

#define OSG_CONTEXTDATA 1